#ifndef __TRACEV2_H__
#define __TRACEV2_H__

// #define TRACE_V2()

#include <string>

class trace
{
  public:
    static trace init(char* l_section, char* icaroot, char* logSwitchString = (char*)"logSwitch");
    void logInfo(const char *fmt, ...);
    static std::string getICARoot(); 
    trace();
  private: 
    bool logSwitch;
    std::string logSwitchString;
    bool openLogCalled;
    bool logSwitchRead;
    std::string section;
    bool getLogFlag(const char *file_name, const char *section);
    static bool checkSection(const char *section, char *cp);
    static bool ifValidICAROOT(std::string dir);
    static bool ifFileExists(std::string &configFile);
    static std::string GetModulePath();
};

#endif
